# Sixfab Arduino Cellular IoT Library 
This is library [Sixfab Arduino Cellular IoT Application Shield](https://sixfab.com/product/arduino-cellular-iot-application-shield/).

# Product Description
This is a shield that has combined LTE technologies Cat.M1, Cat.NB1 (NB-IoT) and eGPRS for Arduino, based on Quectel’s BG96 module. The shield has the power of new IoT phenomenon LPWA (Low Power Wide Area) with Cat.M1 and NB-IoT connection functionalities. Besides, it also provides the function of eGPRS that be enhanced version of classical GPRS.

The shield has GNSS (GPS, GLONASS etc.) functionality for the need of location, navigation, tracking, mapping and timing applications.

The design has built-in temperature, humidity, light sensors, 3-axis accelerometer, and a relay.

# Detailed Features
* BG96 Cat.M1 / Cat.NB1 (NB-IoT) / eGPRS (EDGE, GPRS)
* Supported Bands : Global – B1/ B2/ B3/ B4/ B5/ B8/ B12/ B13/ B18/ B19/ B20/ B26/ B28 and B39 ( for Cat M1 only )
* eGPRS Supported Frequencies : 850/900/1800/1900Mhz
* Embedded GNSS Functionality (GPS, GLONASS, BeiDou/Compass, Galileo, QZSS)
* Optional standalone use via USB interface
* Arduino Compatible Pins
* Built-In HDC1080 temperature sensor (-40 +125 C)
* Built-In HDC1080 humidity sensor (0 100%)
* Built-In ALS-PT19 ambient light sensor
* Built-in 3 axis accelerometer (MMA8452Q)
* Relay (24V DC, 120-220V AC Switching)
* User button and LED
* Micro SIM Socket
* UFL sockets for the external antennas

# Pinout
![Pinout](https://sixfab.com/wp-content/uploads/2018/09/ArduinoCellularIoTAppPinout.png)

# Attention
! All data pins work with 5V reference. Any other voltage level should harm your device.

# Examples
** [basicUDP](https://github.com/sixfab/Sixfab_Arduino_CellularIoT_Library/blob/master/examples/basicUDP/basicUDP.ino)   
** [sensorTest](https://github.com/sixfab/Sixfab_Arduino_CellularIoT_Library/blob/master/examples/sensorTest/sensorTest.ino)  
** [basicTCP](https://github.com/sixfab/Sixfab_Arduino_CellularIoT_Library/blob/master/examples/basicTCP/basicTCP.ino)  
** [sendSensorData](https://github.com/sixfab/Sixfab_Arduino_CellularIoT_Library/blob/master/examples/sendSensorData/sendSensorData.ino) 

# Tutorials 
** [Basic UDP Communication Tutorial for Sixfab Arduino Cellular IoT Application Shield](https://sixfab.com/basic-udp-communication-tutorial-for-sixfab-arduino-cellular-iot-application-shield/)  
** [Sensor Test Tutorial for Sixfab Arduino Cellular IoT Application Shield](https://sixfab.com/sensor-test-tutorial-for-sixfab-arduino-cellular-iot-application-shield/)  

# Applications
* Smart farming sensor
* Smart cities sensor
* Smart home sensor
* Internet of Things (IoT) sensor
* Smart door lock
* Smart lightning
* Smart metering
* Bike sharing
* Smart parking
* Smart city
* Security and asset tracking
* Home appliances
* Agricultural and environmental monitoring
